From 4681906f2674f9f933712cf4fd4877a87c1ca5f4 Mon Sep 17 00:00:00 2001
From: Sergey Fedorov <barracuda@macos-powerpc.org>
Date: Sun, 4 Aug 2024 01:03:05 +0800
Subject: [PATCH 07/12] sound_apple.c: fix for < 10.8

---
 src/detection/sound/sound_apple.c | 5 +++++
 1 file changed, 5 insertions(+)

diff --git a/src/detection/sound/sound_apple.c b/src/detection/sound/sound_apple.c
index 22ecec2a..10646206 100644
--- a/src/detection/sound/sound_apple.c
+++ b/src/detection/sound/sound_apple.c
@@ -4,6 +4,11 @@
 #include <CoreAudio/CoreAudio.h>
 #include <AvailabilityMacros.h>
 
+#ifndef MAC_OS_X_VERSION_10_8
+#define kAudioObjectPropertyScopeInput kAudioDevicePropertyScopeInput
+#define kAudioObjectPropertyScopeOutput kAudioDevicePropertyScopeOutput
+#endif
+
 #ifndef MAC_OS_VERSION_12_0
 #define kAudioObjectPropertyElementMain kAudioObjectPropertyElementMaster
 #endif
-- 
2.47.0

